=== debian/control ===
Source: ros-melodic-cob-script-server
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rostest, ros-melodic-trajectory-msgs
Homepage: http://ros.org/wiki/cob_script_server
Standards-Version: 3.9.2

Package: ros-melodic-cob-script-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, python-pygraphviz, python-six, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-cob-actions, ros-melodic-cob-light, ros-melodic-cob-mimic, ros-melodic-cob-sound, ros-melodic-control-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-move-base-msgs, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-trajectory-msgs, ros-melodic-urdfdom-py
Description: The cob_script_server package provides a simple interface to operate Care-O-bot.
 It can be used via the python API or the actionlib interface.
